function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	SM("L");
}
//**************************************************************************
function PEdit(IdP){
	Ow("ges_prod_edit.php?PID="+IdP,1265,265);
}
//**************************************************************************
function fGuardar(){
	var cod=gv("TxtId");
	var cod=gv("Cod");
	var des=gv("Des");
	//
	if(jL(cod)==0 && jL(des)==0){
		return AF("Ingrese el codigo o descripcion del producto","Cod");
	}
	//
	//if(jVac(cod,"Ingrese el codigo del producto","Cod"))return;
	//if(jVac(des,"Ingrese el nombre o descripcion del producto","Des"))return;
	//	
	if(gv("CmdG")=="Guardar"){
		if(preG()){
			hab("CmdG",0);
			SM("G");
		}
	}else{
		if(preM()){
			hab("CmdG",0);
			SM("M");
		}
	}
}
//
function fEr(cx){
	if(pre("¿ Esta seguro que desea eliminar la referencia ?")){
		sv("TXT_AUX",cx);
		SM("ELI_REF");
	}
}
//
function fIr(cx){
	var txt_url="URL_"+cx;
	var str_url=gv(txt_url);
	if(jL(str_url)==0){
		alert("El campo url esta vacio");
	}else{
		str_url=str_url.toLowerCase();
		if(isURL(str_url)){
			document.getElementById("LNK").href=str_url;
			document.getElementById("LNK").click();
		}else{
			alert("La url no es valida");
		}
	}
}
//
function fVerLink(){
	var str_url=gv("Lnk");
	if(jL(str_url)==0){
		return AF("El campo url esta vacio","Lnk");
	}else{
		str_url=str_url.toLowerCase();
		if(isURL(str_url)){
			document.getElementById("LNK").href=str_url;
			document.getElementById("LNK").click();
		}else{
			alert("La url no es valida");
		}
	}
}
//
function AddRef(){
	var cod=gv("TxtId");
	var ser=gv("InvSer");
	var num=gv("InvNum");
	var ite=gv("InvIte");
	if(jVal(cod)==0){
		return AF("No se puede determinar el Id del registro activo","InvSer");
	}
	if(jL(ser)==0){
		return AF("Ingrese la serie del invoice","InvSer");
	}
	if(jL(num)==0){
		return AF("Ingrese el numero del invoice","InvNum");
	}
	if(jL(ite)==0){
		return AF("Ingrese el numero de item en el invoice","InvNum");
	}
	//
	var R=AX("PRO_ADD_REF",cod,ser,num,ite);
	var D=R.split("|");
	//
	if(D[1]=="OK"){
		document.getElementById("CmdAdd").disabled=false;
		SM("ADD_REF");
	}else{
		if(D[1]=="MS"){
			if(confirm("Serie, numero e item ya registrados, ¿Aun asi desea continuar?")){
				document.getElementById("CmdAdd").disabled=false;
				SM("ADD_REF");
			}
		}else{
			alert("Error de conexion");
		}
	}
}
//
function ImpEcxel(){
	var IdP=gv("TxtId");
	Ow("ges_imp_productos.php?IdP="+IdP,620,410);
}
//
function ImpEcxelMasivo(){
	var IdP=gv("TxtId");
	Ow("ges_imp_referencias.php?IdP="+IdP,620,410);
}



